function init(hero) {
    hero.setName("Wolverine/James Howlett 'Logan'");
    hero.setTier(7);

    hero.setHelmet("Mask");
    hero.setChestplate("Chestplate");
    hero.setLeggings("Leggings");
    hero.setBoots("Boots");

    hero.addPowers("tgheroes:weapon_x");
    hero.addAttribute("PUNCH_DAMAGE", 7.0, 0);
    hero.addAttribute("WEAPON_DAMAGE", 1.0, 0);
    hero.addAttribute("FALL_RESISTANCE", 8.0, 0);
    hero.addAttribute("STEP_HEIGHT", 0.5, 0);
	hero.addAttribute("JUMP_HEIGHT", 2.0, 0);
	
    hero.addKeyBind("BLADE", "key.blade", 1);

    hero.addAttributeProfile("BLADE", bladeProfile);
    hero.setAttributeProfile(getProfile);
    hero.setDamageProfile(getProfile);
    hero.addDamageProfile("BLADE", {
        "types": {
            "SHARP": 2.0,
            "ADAMANTIUM": 1.0
        },
		"properties": {
        "EFFECTS": [{
                "id": "minecraft:slowness" ,
                "duration": 20,
                "amplifier": 1,
                "chance": 1.0,

            },
			{
				"id": "minecraft:weakness" ,
                "duration": 30,
                "amplifier": 2,
                "chance": 1.0,

            }
        ]
    }
    });
	
}


function bladeProfile(profile) {
    profile.inheritDefaults();
    profile.addAttribute("PUNCH_DAMAGE", 11.0, 0);
}

function getProfile(entity) {
    return entity.getData("fiskheroes:blade") ? "BLADE" : null;
}
